Si, GEVEY es compatible hasta baseband 4.10 que es el baseband del 4.3.3, pero no se si todos los modelos de GEVEY son igualmente compatibles...

Asi todo, todavia no entiendo porque lo queres sin jailbreak al iPhone, pero bue, tendras tus motivos...

Tambien podes probar a primero usar iFaith y si lo notas lento (?) y ves que tiene Cydia y no es lo que queres restauras al 4.3.3 original...